OracleSqlUtil::OracleType Class Reference

represents an Oracle type More...

Inheritance diagram for OracleSqlUtil::OracleType:
[legend]

## Public Member Functions

string | getDropSqlForce ()
| Force to drop named type (object or collection) More...
Public Member Functions inherited from OracleSqlUtil::OracleCodeBase
| constructor (string n, string n_type, string n_src)
| creates the object from the arguments passed More...
bool | equalImpl (AbstractFunctionBase t)
| returns True if the argument is equal to the current object, False if not
softlist | getCreateSql (*hash opt)
| returns a string that can be used to create the object in the database
list | getRenameSql (string new_name)
| returns a string that can be used to rename the object in the database

## Detailed Description

represents an Oracle type

## Member Function Documentation

string OracleSqlUtil::OracleType::getDropSqlForce | ( |  | ) |

Force to drop named type (object or collection)

Named types in schema can have dependencies between each other. But the FORCE keyword used in drop allows us to avoid complex dependency tree calculation because all objects will be dropped at the end

Note
  this method is intended for use in schema management